<?php

namespace Faker\Provider\fa_IR;

/**
 *
 */
class PhoneNumber extends \Faker\Provider\PhoneNumber {
  /**
   * @see https://fa.wikipedia.org/wiki/%D8%B4%D9%85%D8%A7%D8%B1%D9%87%E2%80%8C%D9%87%D8%A7%DB%8C_%D8%AA%D9%84%D9%81%D9%86_%D8%AF%D8%B1_%D8%A7%DB%8C%D8%B1%D8%A7%D9%86#.D8.AA.D9.84.D9.81.D9.86.E2.80.8C.D9.87.D8.A7.DB.8C_.D9.87.D9.85.D8.B1.D8.A7.D9.87
   */
  /**
   * Land line formts seprated by province.
   */
  protected static $formats = [
  // Mazandaran.
    '011########',
  // Gilan.
    '013########',
  // Golestan.
    '017########',
  // Tehran.
    '021########',
  // Semnan.
    '023########',
  // Zanjan.
    '024########',
  // Qom.
    '025########',
  // Alborz.
    '026########',
  // Qazvin.
    '028########',
  // Isfahan.
    '031########',
  // Kerman.
    '034########',
  // Yazd.
    '035########',
  // Chaharmahal and Bakhtiari.
    '038########',
  // East Azerbaijan.
    '041########',
  // West Azerbaijan.
    '044########',
  // Ardabil.
    '045########',
  // Razavi Khorasan.
    '051########',
  // Sistan and Baluchestan.
    '054########',
  // South Khorasan.
    '056########',
  // North Khorasan.
    '058########',
  // Khuzestan.
    '061########',
  // Lorestan.
    '066########',
  // Fars.
    '071########',
  // Kohgiluyeh and Boyer-Ahmad.
    '074########',
  // Hormozgan.
    '076########',
  // Bushehr.
    '077########',
  // Hamadan.
    '081########',
  // Kermanshah.
    '083########',
  // Ilam.
    '084########',
  // Markazi.
    '086########',
  // Kurdistan.
    '087########',
  ];

  protected static $mobileNumberPrefixes = [
  // Mci.
    '0910#######',
    '0911#######',
    '0912#######',
    '0913#######',
    '0914#######',
    '0915#######',
    '0916#######',
    '0917#######',
    '0918#######',
    '0919#######',
    '0901#######',
    '0901#######',
    '0902#######',
    '0903#######',
    '0930#######',
    '0933#######',
    '0935#######',
    '0936#######',
    '0937#######',
    '0938#######',
    '0939#######',
    '0920#######',
    '0921#######',
    '0937#######',
  // MCI.
    '0990#######',
  ];

  /**
   *
   */
  public static function mobileNumber() {
    return static::numerify(static::randomElement(static::$mobileNumberPrefixes));
  }

}
